Package libxyz :: Package ui :: Module panel :: Class Block |
[hide private]
[frames] | no frames]

# Class Block

source code

    lowui.FlowWidget --+
                       |
                      Block

Single panel block

Instance Methods | [hide private]
__init__(self, xyz, size, path, enc, active=False) @param xyz: XYZData instance @param size: Block widget size @type size: L{libxyz.ui.Size} @param enc: Local encoding @param active: Boolean flag, True if block is active | source code
rows(self, (maxcol,), focus=False) | source code
display_widget(self, (maxcol,), focus) | source code
_setup(self, vfsobj) | source code
selectable(self) | source code
render(self, (maxcol,), focus=False) Render block | source code
_make_info(self) | source code
_make_number_readable(self, num) | source code
_get_visible(self, rows, cols, reload=False) Get currently visible piece of entries | source code
_process_skin_rulesets(self) Process defined fs.* rulesets | source code
_get_title_attr(self) Return title attr | source code
_set_info(self, vfsobj, cols) Set info text | source code
_set_custom_info(self, custom_text, cols) Set custom info text | source code
_update_vindex(self, rows) Calculate vindex according to selected position | source code
deactivate(self) Deactivate block | source code
activate(self) Activate block | source code
next(self) Next entry | source code
prev(self) Previous entry | source code
top(self) Top entry | source code
bottom(self) Bottom entry | source code
block_next(self) One block down | source code
block_prev(self) One block up | source code
get_selected(self) Get selected VFSObject instance | source code
get_current(self) Get current VFSObject instance | source code
get_tagged(self) Return list of tagged VFSObject instances | source code
get_untagged(self) Return list of not tagged VFSObject instances | source code
toggle_tag(self) Toggle tagged selected file | source code
tag_rule(self) Tag files by combined rule | source code
untag_rule(self) Untag files by combined rule | source code
_tag_rule(self, tag=True) Tag engine | source code
tag_invert(self) Invert currently tagged files | source code
tag_all(self) Tag every single object in current dir | source code
untag_all(self) Untag every single object in current dir | source code
reload(self) Reload contents | source code
select(self, name) Select VFS object by given name in current directory | source code
action(self) Perform action on selected file | source code
chdir(self, path, reload=True, active=True) Change directory If reload is not True only execute os.chdir, without reloading directory contents If active is False do not call os.chdir | source code
search_forward(self) Search forward for matching object while user types | source code
search_backward(self) Search backward for matching object while user types | source code
search_cycle(self) Search from current position downwards and then from top to currently selected | source code
show_tagged(self) Show only tagged entries | source code
_search_engine(self, order, pattern=None) Search for matching filenames while user types | source code
_before_switch_tab_hook(self, block, index) Before switch tab hook | source code
_switch_tab_hook(self, block, index) Switch tab hook | source code
_new_tab_hook(self, block, _index) New tab hook | source code
_del_tab_hook(self, block, index) Delete tab hook | source code
get_tabs(self) Return list of open tabs | source code

Method Details | [hide private]

### __init__(self, xyz, size, path, enc, active=False) (Constructor) | source code
    @param xyz: XYZData instance
    @param size: Block widget size
    @type size: L{libxyz.ui.Size}
    @param enc: Local encoding
    @param active: Boolean flag, True if block is active

    Required resources: cwdtitle, cwdtitleinact, panel, cursor, info
                        border, tagged

### deactivate(self) | source code
Deactivate block Decorators: `@refresh`

### activate(self) | source code
Activate block Decorators: `@refresh`

### next(self) | source code
Next entry Decorators: `@refresh`

### prev(self) | source code
Previous entry Decorators: `@refresh`

### top(self) | source code
Top entry Decorators: `@refresh`

### bottom(self) | source code
Bottom entry Decorators: `@refresh`

### block_next(self) | source code
One block down Decorators: `@refresh`

### block_prev(self) | source code
One block up Decorators: `@refresh`

### tag_rule(self) | source code
Tag files by combined rule Decorators: `@refresh`

### untag_rule(self) | source code
Untag files by combined rule Decorators: `@refresh`

### tag_invert(self) | source code
Invert currently tagged files Decorators: `@refresh`

### tag_all(self) | source code
Tag every single object in current dir Decorators: `@refresh`

### untag_all(self) | source code
Untag every single object in current dir Decorators: `@refresh`

### reload(self) | source code
Reload contents Decorators: `@refresh`

### select(self, name) | source code
Select VFS object by given name in current directory Decorators: `@refresh`

### chdir(self, path, reload=True, active=True) | source code
Change directory If reload is not True only execute os.chdir, without reloading directory contents If active is False do not call os.chdir Decorators: `@refresh`

### search_forward(self) | source code
Search forward for matching object while user types Decorators: `@refresh`

### search_backward(self) | source code
Search backward for matching object while user types Decorators: `@refresh`

### show_tagged(self) | source code
Show only tagged entries Decorators: `@refresh`

### _search_engine(self, order, pattern=None) | source code
Search for matching filenames while user types Parameters: `order` - A function that returns generator for search order `pattern` - A search type pattern